package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenemessagestructureDTO implements Serializable {

    private static final long serialVersionUID = 971106862654361L;

    private String structurecode;

    private Integer recordversion;

    private String description;

    private String haveheader;

    private Short headerlength;

    private String headerseparator;

    private String enddatacharacter;

    private Short recordlength;

    private String recordseparator;

    private String formatdate;

    private String formattime;

    private String headerclass;

    private String detailclass;

        public String getStructurecode() {
    return structurecode;
    }

        public void setStructurecode(String structurecode) {
    this.structurecode = structurecode;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getDescription() {
    return description;
    }

        public void setDescription(String description) {
    this.description = description;
    }

        public String getHaveheader() {
    return haveheader;
    }

        public void setHaveheader(String haveheader) {
    this.haveheader = haveheader;
    }

        public Short getHeaderlength() {
    return headerlength;
    }

        public void setHeaderlength(Short headerlength) {
    this.headerlength = headerlength;
    }

        public String getHeaderseparator() {
    return headerseparator;
    }

        public void setHeaderseparator(String headerseparator) {
    this.headerseparator = headerseparator;
    }

        public String getEnddatacharacter() {
    return enddatacharacter;
    }

        public void setEnddatacharacter(String enddatacharacter) {
    this.enddatacharacter = enddatacharacter;
    }

        public Short getRecordlength() {
    return recordlength;
    }

        public void setRecordlength(Short recordlength) {
    this.recordlength = recordlength;
    }

        public String getRecordseparator() {
    return recordseparator;
    }

        public void setRecordseparator(String recordseparator) {
    this.recordseparator = recordseparator;
    }

        public String getFormatdate() {
    return formatdate;
    }

        public void setFormatdate(String formatdate) {
    this.formatdate = formatdate;
    }

        public String getFormattime() {
    return formattime;
    }

        public void setFormattime(String formattime) {
    this.formattime = formattime;
    }

        public String getHeaderclass() {
    return headerclass;
    }

        public void setHeaderclass(String headerclass) {
    this.headerclass = headerclass;
    }

        public String getDetailclass() {
    return detailclass;
    }

        public void setDetailclass(String detailclass) {
    this.detailclass = detailclass;
    }

}